diff -upr ioquake3svn1438/code/game/ai_dmq3.c ioquake3serverFix/code/game/ai_dmq3.c
--- ioquake3svn1438/code/game/ai_dmq3.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_dmq3.c	2008-08-09 11:28:21.000000000 -0500
@@ -92,14 +92,12 @@ int max_bspmodelindex;			//maximum BSP m
 //CTF flag goals
 bot_goal_t ctf_redflag;
 bot_goal_t ctf_blueflag;
-//Domination goals:
-bot_goal_t dom_points_bot[MAX_DOMINATION_POINTS];
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 bot_goal_t ctf_neutralflag;
 bot_goal_t redobelisk;
 bot_goal_t blueobelisk;
 bot_goal_t neutralobelisk;
-//#endif
+#endif
 
 #define MAX_ALTROUTEGOALS		32
 
@@ -130,7 +128,7 @@ BotCTFCarryingFlag
 ==================
 */
 int BotCTFCarryingFlag(bot_state_t *bs) {
-	if (gametype != GT_CTF && gametype!=GT_CTF_ELIMINATION) return CTF_FLAG_NONE;
+	if (gametype != GT_CTF) return CTF_FLAG_NONE;
 
 	if (bs->inventory[INVENTORY_REDFLAG] > 0) return CTF_FLAG_RED;
 	else if (bs->inventory[INVENTORY_BLUEFLAG] > 0) return CTF_FLAG_BLUE;
@@ -283,7 +281,7 @@ qboolean EntityHasQuad(aas_entityinfo_t 
 	return qfalse;
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ==================
 EntityHasKamikze
@@ -337,7 +335,7 @@ int BotHarvesterCarryingCubes(bot_state_
 	if (bs->inventory[INVENTORY_BLUECUBE] > 0) return qtrue;
 	return qfalse;
 }
-//#endif
+#endif
 
 /*
 ==================
@@ -360,7 +358,7 @@ BotSetTeamStatus
 ==================
 */
 void BotSetTeamStatus(bot_state_t *bs) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	int teamtask;
 	aas_entityinfo_t entinfo;
 
@@ -371,7 +369,7 @@ void BotSetTeamStatus(bot_state_t *bs) {
 			break;
 		case LTG_TEAMACCOMPANY:
 			BotEntityInfo(bs->teammate, &entinfo);
-			if ( ( (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION || gametype == GT_1FCTF) && EntityCarriesFlag(&entinfo))
+			if ( ( (gametype == GT_CTF || gametype == GT_1FCTF) && EntityCarriesFlag(&entinfo))
 				|| ( gametype == GT_HARVESTER && EntityCarriesCubes(&entinfo)) ) {
 				teamtask = TEAMTASK_ESCORT;
 			}
@@ -410,22 +408,12 @@ void BotSetTeamStatus(bot_state_t *bs) {
 		case LTG_ATTACKENEMYBASE:
 			teamtask = TEAMTASK_OFFENSE;
 			break;
-		case LTG_POINTA:
-			if(BotTeam(bs) == TEAM_BLUE)
-				teamtask = TEAMTASK_OFFENSE;
-			else
-				teamtask = TEAMTASK_DEFENSE;
-		case LTG_POINTB:
-			if(BotTeam(bs) == TEAM_RED)
-				teamtask = TEAMTASK_OFFENSE;
-			else
-				teamtask = TEAMTASK_DEFENSE;
 		default:
 			teamtask = TEAMTASK_PATROL;
 			break;
 	}
 	BotSetUserInfo(bs, "teamtask", va("%d", teamtask));
-//#endif
+#endif
 }
 
 /*
@@ -435,7 +423,7 @@ BotSetLastOrderedTask
 */
 int BotSetLastOrderedTask(bot_state_t *bs) {
 
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		// don't go back to returning the flag if it's at the base
 		if ( bs->lastgoal_ltgtype == LTG_RETURNFLAG ) {
 			if ( BotTeam(bs) == TEAM_RED ) {
@@ -460,7 +448,7 @@ int BotSetLastOrderedTask(bot_state_t *b
 		bs->teamgoal_time = FloatTime() + 300;
 		BotSetTeamStatus(bs);
 		//
-		if ( gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+		if ( gametype == GT_CTF ) {
 			if ( bs->ltgtype == LTG_GETFLAG ) {
 				bot_goal_t *tb, *eb;
 				int tt, et;
@@ -801,79 +789,7 @@ void BotCTFRetreatGoals(bot_state_t *bs)
 	}
 }
 
-/*
-==================
-BotDomSeekGoals
-==================
- */
-
-void BotDomSeekGoals(bot_state_t *bs) {
-    int index;
-    bs->ltgtype = LTG_DOMHOLD; //For debugging we are forcing roam
-    
-    index=0;
-    //dom_points_bot[i]
-    
-    if(bs->ltgtype == LTG_DOMHOLD) {
-        index = ((rand()) % (level.domination_points_count));
-    }
-    
-    if(bs->ltgtype == LTG_DOMROAM) {
-        
-    }
-     
-        
-    memcpy(&bs->teamgoal, &dom_points_bot[index], sizeof(bot_goal_t));
-}
-
-/*
-==================
-BotDDSeekGoals
-==================
-*/
-
-void BotDDSeekGoals(bot_state_t *bs) {
-
-	/*if (bs->ltgtype == LTG_TEAMHELP ||
-			bs->ltgtype == LTG_TEAMACCOMPANY ||
-			bs->ltgtype == LTG_CAMPORDER ||
-			bs->ltgtype == LTG_PATROL ||
-			bs->ltgtype == LTG_GETITEM) {
-		return;
-	}*/
-
-	if(bs->ltgtype == LTG_POINTA)
-		memcpy(&bs->teamgoal, &ctf_redflag, sizeof(bot_goal_t));
-	if(bs->ltgtype == LTG_POINTB)
-		memcpy(&bs->teamgoal, &ctf_blueflag, sizeof(bot_goal_t));
-
-	if(bs->ltgtype == LTG_POINTA || bs->ltgtype == LTG_POINTB)
-		return;
-
-	if(rand()%2==0)
-		bs->ltgtype = LTG_POINTA;
-	else
-		bs->ltgtype = LTG_POINTB;
-
-	if(bs->ltgtype == LTG_POINTA) {
-		memcpy(&bs->teamgoal, &ctf_redflag, sizeof(bot_goal_t));
-		if(BotTeam(bs) == TEAM_BLUE)
-			BotSetUserInfo(bs, "teamtask", va("%d", TEAMTASK_OFFENSE));
-		else
-			BotSetUserInfo(bs, "teamtask", va("%d", TEAMTASK_DEFENSE));
-	} else
-	if(bs->ltgtype == LTG_POINTB) {
-		memcpy(&bs->teamgoal, &ctf_blueflag, sizeof(bot_goal_t));
-		if(BotTeam(bs) == TEAM_RED)
-			BotSetUserInfo(bs, "teamtask", va("%d", TEAMTASK_OFFENSE));
-		else
-			BotSetUserInfo(bs, "teamtask", va("%d", TEAMTASK_DEFENSE));
-	}
-
-
-}
-
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ==================
 Bot1FCTFSeekGoals
@@ -1400,7 +1316,7 @@ void BotHarvesterRetreatGoals(bot_state_
 		return;
 	}
 }
-//#endif
+#endif
 
 /*
 ==================
@@ -1410,10 +1326,10 @@ BotTeamGoals
 void BotTeamGoals(bot_state_t *bs, int retreat) {
 
 	if ( retreat ) {
-		if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION ) {
+		if (gametype == GT_CTF) {
 			BotCTFRetreatGoals(bs);
 		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		else if (gametype == GT_1FCTF) {
 			Bot1FCTFRetreatGoals(bs);
 		}
@@ -1423,14 +1339,14 @@ void BotTeamGoals(bot_state_t *bs, int r
 		else if (gametype == GT_HARVESTER) {
 			BotHarvesterRetreatGoals(bs);
 		}
-//#endif
+#endif
 	}
 	else {
-		if (gametype == GT_CTF|| gametype == GT_CTF_ELIMINATION) {
+		if (gametype == GT_CTF) {
 			//decide what to do in CTF mode
 			BotCTFSeekGoals(bs);
 		}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		else if (gametype == GT_1FCTF) {
 			Bot1FCTFSeekGoals(bs);
 		}
@@ -1440,15 +1356,8 @@ void BotTeamGoals(bot_state_t *bs, int r
 		else if (gametype == GT_HARVESTER) {
 			BotHarvesterSeekGoals(bs);
 		}
-//#endif
+#endif
 	}
-
-	if(gametype == GT_DOUBLE_D) //Don't care about retreat
-		BotDDSeekGoals(bs);
-        
-        //if(gametype == GT_DOMINATION) //Don't care about retreat
-	//	BotDomSeekGoals(bs);
-
 	// reset the order time which is used to see if
 	// we decided to refuse an order
 	bs->order_time = 0;
@@ -1628,7 +1537,7 @@ int BotSynonymContext(bot_state_t *bs) {
 
 	context = CONTEXT_NORMAL|CONTEXT_NEARBYITEM|CONTEXT_NAMES;
 	//
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION
+	if (gametype == GT_CTF
 #ifdef MISSIONPACK
 		|| gametype == GT_1FCTF
 #endif
@@ -1713,10 +1622,10 @@ BotCheckItemPickup
 ==================
 */
 void BotCheckItemPickup(bot_state_t *bs, int *oldinventory) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	int offence, leader;
 
-	if (gametype <= GT_TEAM && g_ffa_gt==0)
+	if (gametype <= GT_TEAM)
 		return;
 
 	offence = -1;
@@ -1755,20 +1664,18 @@ void BotCheckItemPickup(bot_state_t *bs,
 					//trap_BotEnterChat(bs->cs, leader, CHAT_TELL);
 				}
 				else if (g_spSkill.integer <= 3) {
-					if ( ( bs->ltgtype != LTG_GETFLAG ) &&
-						( bs->ltgtype != LTG_ATTACKENEMYBASE ) &&
-						( bs->ltgtype != LTG_HARVEST ) &&
-						( ( ( gametype != GT_CTF ) &&
-						( gametype != GT_CTF_ELIMINATION ) ) ||
-						( ( bs->redflagstatus == 0 ) &&
-						( bs->blueflagstatus == 0 ) ) ) &&
-						( ( gametype != GT_1FCTF ) ||
-						( bs->neutralflagstatus == 0 ) ) ) {
+					if ( bs->ltgtype != LTG_GETFLAG &&
+						 bs->ltgtype != LTG_ATTACKENEMYBASE &&
+						 bs->ltgtype != LTG_HARVEST ) {
+						//
+						if ((gametype != GT_CTF || (bs->redflagstatus == 0 && bs->blueflagstatus == 0)) &&
+							(gametype != GT_1FCTF || bs->neutralflagstatus == 0) ) {
 							// tell the leader we want to be on offence
 							BotVoiceChat(bs, leader, VOICECHAT_WANTONOFFENSE);
 							//BotAI_BotInitialChat(bs, "wantoffence", NULL);
 							//trap_BotEnterChat(bs->cs, leader, CHAT_TELL);
 						}
+					}
 					bs->teamtaskpreference |= TEAMTP_ATTACKER;
 				}
 			}
@@ -1783,26 +1690,24 @@ void BotCheckItemPickup(bot_state_t *bs,
 					//BotAI_BotInitialChat(bs, "wantdefence", NULL);
 					//trap_BotEnterChat(bs->cs, leader, CHAT_TELL);
 				}
-				else if ( (g_spSkill.integer <= 3) &&
-					( bs->ltgtype != LTG_DEFENDKEYAREA ) &&
-					( ( ( gametype != GT_CTF ) &&
-					( gametype != GT_CTF_ELIMINATION ) ) ||
-					( ( bs->redflagstatus == 0 ) &&
-					( bs->blueflagstatus == 0 ) ) ) &&
-					( ( gametype != GT_1FCTF ) ||
-					( bs->neutralflagstatus == 0 ) ) ) {
-
-					// tell the leader we want to be on defense
-					BotVoiceChat(bs, -1, VOICECHAT_WANTONDEFENSE);
-					//BotAI_BotInitialChat(bs, "wantdefence", NULL);
-					//trap_BotEnterChat(bs->cs, leader, CHAT_TELL);
+				else if (g_spSkill.integer <= 3) {
+					if ( bs->ltgtype != LTG_DEFENDKEYAREA ) {
+						//
+						if ((gametype != GT_CTF || (bs->redflagstatus == 0 && bs->blueflagstatus == 0)) &&
+							(gametype != GT_1FCTF || bs->neutralflagstatus == 0) ) {
+							// tell the leader we want to be on defense
+							BotVoiceChat(bs, -1, VOICECHAT_WANTONDEFENSE);
+							//BotAI_BotInitialChat(bs, "wantdefence", NULL);
+							//trap_BotEnterChat(bs->cs, leader, CHAT_TELL);
+						}
+					}
 				}
 				bs->teamtaskpreference |= TEAMTP_DEFENDER;
 			}
 			bs->teamtaskpreference &= ~TEAMTP_ATTACKER;
 		}
 	}
-//#endif
+#endif
 }
 
 /*
@@ -1827,11 +1732,11 @@ void BotUpdateInventory(bot_state_t *bs)
 	bs->inventory[INVENTORY_PLASMAGUN] = (bs->cur_ps.stats[STAT_WEAPONS] & (1 << WP_PLASMAGUN)) != 0;
 	bs->inventory[INVENTORY_BFG10K] = (bs->cur_ps.stats[STAT_WEAPONS] & (1 << WP_BFG)) != 0;
 	bs->inventory[INVENTORY_GRAPPLINGHOOK] = (bs->cur_ps.stats[STAT_WEAPONS] & (1 << WP_GRAPPLING_HOOK)) != 0;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	bs->inventory[INVENTORY_NAILGUN] = (bs->cur_ps.stats[STAT_WEAPONS] & (1 << WP_NAILGUN)) != 0;;
 	bs->inventory[INVENTORY_PROXLAUNCHER] = (bs->cur_ps.stats[STAT_WEAPONS] & (1 << WP_PROX_LAUNCHER)) != 0;;
 	bs->inventory[INVENTORY_CHAINGUN] = (bs->cur_ps.stats[STAT_WEAPONS] & (1 << WP_CHAINGUN)) != 0;;
-//#endif
+#endif
 	//ammo
 	bs->inventory[INVENTORY_SHELLS] = bs->cur_ps.ammo[WP_SHOTGUN];
 	bs->inventory[INVENTORY_BULLETS] = bs->cur_ps.ammo[WP_MACHINEGUN];
@@ -1841,11 +1746,11 @@ void BotUpdateInventory(bot_state_t *bs)
 	bs->inventory[INVENTORY_ROCKETS] = bs->cur_ps.ammo[WP_ROCKET_LAUNCHER];
 	bs->inventory[INVENTORY_SLUGS] = bs->cur_ps.ammo[WP_RAILGUN];
 	bs->inventory[INVENTORY_BFGAMMO] = bs->cur_ps.ammo[WP_BFG];
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	bs->inventory[INVENTORY_NAILS] = bs->cur_ps.ammo[WP_NAILGUN];
 	bs->inventory[INVENTORY_MINES] = bs->cur_ps.ammo[WP_PROX_LAUNCHER];
 	bs->inventory[INVENTORY_BELT] = bs->cur_ps.ammo[WP_CHAINGUN];
-//#endif
+#endif
 	//powerups
 	bs->inventory[INVENTORY_HEALTH] = bs->cur_ps.stats[STAT_HEALTH];
 	bs->inventory[INVENTORY_TELEPORTER] = bs->cur_ps.stats[STAT_HOLDABLE_ITEM] == MODELINDEX_TELEPORTER;
@@ -1869,7 +1774,7 @@ void BotUpdateInventory(bot_state_t *bs)
 #endif
 	bs->inventory[INVENTORY_REDFLAG] = bs->cur_ps.powerups[PW_REDFLAG] != 0;
 	bs->inventory[INVENTORY_BLUEFLAG] = bs->cur_ps.powerups[PW_BLUEFLAG] != 0;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	bs->inventory[INVENTORY_NEUTRALFLAG] = bs->cur_ps.powerups[PW_NEUTRALFLAG] != 0;
 	if (BotTeam(bs) == TEAM_RED) {
 		bs->inventory[INVENTORY_REDCUBE] = bs->cur_ps.generic1;
@@ -1879,7 +1784,7 @@ void BotUpdateInventory(bot_state_t *bs)
 		bs->inventory[INVENTORY_REDCUBE] = 0;
 		bs->inventory[INVENTORY_BLUECUBE] = bs->cur_ps.generic1;
 	}
-//#endif
+#endif
 	BotCheckItemPickup(bs, oldinventory);
 }
 
@@ -1921,7 +1826,7 @@ void BotUseKamikaze(bot_state_t *bs) {
 	if (bs->kamikaze_time > FloatTime())
 		return;
 	bs->kamikaze_time = FloatTime() + 0.2;
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//never use kamikaze if the team flag carrier is visible
 		if (BotCTFCarryingFlag(bs))
 			return;
@@ -2028,7 +1933,7 @@ void BotUseInvulnerability(bot_state_t *
 	if (bs->invulnerability_time > FloatTime())
 		return;
 	bs->invulnerability_time = FloatTime() + 0.2;
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//never use kamikaze if the team flag carrier is visible
 		if (BotCTFCarryingFlag(bs))
 			return;
@@ -2283,7 +2188,7 @@ TeamPlayIsOn
 ==================
 */
 int TeamPlayIsOn(void) {
-	return ( gametype >= GT_TEAM && g_ffa_gt!=1);
+	return ( gametype >= GT_TEAM );
 }
 
 /*
@@ -2363,7 +2268,7 @@ BotWantsToRetreat
 int BotWantsToRetreat(bot_state_t *bs) {
 	aas_entityinfo_t entinfo;
 
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//always retreat when carrying a CTF flag
 		if (BotCTFCarryingFlag(bs))
 			return qtrue;
@@ -2416,7 +2321,7 @@ BotWantsToChase
 int BotWantsToChase(bot_state_t *bs) {
 	aas_entityinfo_t entinfo;
 
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		//never chase when carrying a CTF flag
 		if (BotCTFCarryingFlag(bs))
 			return qfalse;
@@ -2871,7 +2776,7 @@ int BotSameTeam(bot_state_t *bs, int ent
 		//BotAI_Print(PRT_ERROR, "BotSameTeam: client out of range\n");
 		return qfalse;
 	}
-	if ( gametype >= GT_TEAM && g_ffa_gt!=1) {
+	if ( gametype >= GT_TEAM ) {
 		trap_GetConfigstring(CS_PLAYERS+bs->client, info1, sizeof(info1));
 		trap_GetConfigstring(CS_PLAYERS+entnum, info2, sizeof(info2));
 		//
@@ -3087,11 +2992,6 @@ int BotFindEnemy(bot_state_t *bs, int cu
 		if (EntityIsInvisible(&entinfo) && !EntityIsShooting(&entinfo)) {
 			continue;
 		}
-//Neil Torontos unlagged
-//unlagged - misc
-		// this has nothing to do with lag compensation, but it's great for testing
-		if ( g_entities[i].flags & FL_NOTARGET ) continue;
-//unlagged - misc
 		//if not an easy fragger don't shoot at chatting players
 		if (easyfragger < 0.5 && EntityIsChatting(&entinfo)) continue;
 		//
@@ -3289,7 +3189,7 @@ void BotVisibleTeamMatesAndEnemies(bot_s
 	}
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ==================
 BotTeamCubeCarrierVisible
@@ -3351,7 +3251,7 @@ int BotEnemyCubeCarrierVisible(bot_state
 	}
 	return -1;
 }
-//#endif
+#endif
 
 /*
 ==================
@@ -3379,13 +3279,13 @@ void BotAimAtEnemy(bot_state_t *bs) {
 	if (bs->enemy >= MAX_CLIENTS) {
 		//if the obelisk is visible
 		VectorCopy(entinfo.origin, target);
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		// if attacking an obelisk
 		if ( bs->enemy == redobelisk.entitynum ||
 			bs->enemy == blueobelisk.entitynum ) {
 			target[2] += 32;
 		}
-//#endif
+#endif
 		//aim at the obelisk
 		VectorSubtract(target, bs->eye, dir);
 		vectoangles(dir, bs->ideal_viewangles);
@@ -3851,7 +3751,6 @@ void BotMapScripts(bot_state_t *bs) {
 BotSetMovedir
 ==================
 */
-// bk001205 - made these static
 static vec3_t VEC_UP		= {0, -1,  0};
 static vec3_t MOVEDIR_UP	= {0,  0,  1};
 static vec3_t VEC_DOWN		= {0, -2,  0};
@@ -4965,7 +4864,7 @@ void BotCheckEvents(bot_state_t *bs, ent
 		}
 		case EV_GLOBAL_TEAM_SOUND:
 		{
-			if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+			if (gametype == GT_CTF) {
 				switch(state->eventParm) {
 					case GTS_RED_CAPTURE:
 						bs->blueflagstatus = 0;
@@ -5229,8 +5128,8 @@ void BotSetupAlternativeRouteGoals(void)
 
 	if (altroutegoals_setup)
 		return;
-//#ifdef MISSIONPACK
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+#ifdef MISSIONPACK
+	if (gametype == GT_CTF) {
 		if (trap_BotGetLevelItemGoal(-1, "Neutral Flag", &ctf_neutralflag) < 0)
 			BotAI_Print(PRT_WARNING, "no alt routes without Neutral Flag\n");
 		if (ctf_neutralflag.areanum) {
@@ -5296,7 +5195,7 @@ void BotSetupAlternativeRouteGoals(void)
 									ALTROUTEGOAL_CLUSTERPORTALS|
 									ALTROUTEGOAL_VIEWPORTALS);
 	}
-//#endif
+#endif
 	altroutegoals_setup = qtrue;
 }
 
@@ -5487,7 +5386,7 @@ BotSetupDeathmatchAI
 ==================
 */
 void BotSetupDeathmatchAI(void) {
-	int ent, modelnum,i;
+	int ent, modelnum;
 	char model[128];
 
 	gametype = trap_Cvar_VariableIntegerValue("g_gametype");
@@ -5502,29 +5401,13 @@ void BotSetupDeathmatchAI(void) {
 	trap_Cvar_Register(&bot_predictobstacles, "bot_predictobstacles", "1", 0);
 	trap_Cvar_Register(&g_spSkill, "g_spSkill", "2", 0);
 	//
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		if (trap_BotGetLevelItemGoal(-1, "Red Flag", &ctf_redflag) < 0)
 			BotAI_Print(PRT_WARNING, "CTF without Red Flag\n");
 		if (trap_BotGetLevelItemGoal(-1, "Blue Flag", &ctf_blueflag) < 0)
 			BotAI_Print(PRT_WARNING, "CTF without Blue Flag\n");
 	}
-	else if (gametype == GT_DOUBLE_D) {
-		if (trap_BotGetLevelItemGoal(-1, "Red Flag", &ctf_redflag) < 0)
-			BotAI_Print(PRT_WARNING, "DD without Point A\n");
-		if (trap_BotGetLevelItemGoal(-1, "Blue Flag", &ctf_blueflag) < 0)
-			BotAI_Print(PRT_WARNING, "DD without Point B\n");
-	}
-        else if (gametype == GT_DOMINATION) {
-            ent = trap_BotGetLevelItemGoal(-1, "Domination Point", &dom_points_bot[0]); 
-            if(ent < 0)
-		BotAI_Print(PRT_WARNING, "Domination without a single domination point\n");
-            for(i=1;i<level.domination_points_count;i++) {
-                //Find next from the privius found entity
-                ent = trap_BotGetLevelItemGoal(ent, "Domination Point", &dom_points_bot[i]);
-            }
-            //MAX_DOMINATION_POINTS
-	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (trap_BotGetLevelItemGoal(-1, "Neutral Flag", &ctf_neutralflag) < 0)
 			BotAI_Print(PRT_WARNING, "One Flag CTF without Neutral Flag\n");
@@ -5552,7 +5435,7 @@ void BotSetupDeathmatchAI(void) {
 			BotAI_Print(PRT_WARNING, "Harvester without neutral obelisk\n");
 		BotSetEntityNumForGoal(&neutralobelisk, "team_neutralobelisk");
 	}
-//#endif
+#endif
 
 	max_bspmodelindex = 0;
 	for (ent = trap_AAS_NextBSPEntity(0); ent; ent = trap_AAS_NextBSPEntity(ent)) {
diff -upr ioquake3svn1438/code/game/ai_dmq3.h ioquake3serverFix/code/game/ai_dmq3.h
--- ioquake3svn1438/code/game/ai_dmq3.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_dmq3.h	2008-08-09 11:28:21.000000000 -0500
@@ -147,7 +147,7 @@ void BotCTFSeekGoals(bot_state_t *bs);
 //set ctf goals (defend base, get enemy flag) during retreat
 void BotCTFRetreatGoals(bot_state_t *bs);
 //
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 int Bot1FCTFCarryingFlag(bot_state_t *bs);
 int BotHarvesterCarryingCubes(bot_state_t *bs);
 void Bot1FCTFSeekGoals(bot_state_t *bs);
@@ -159,7 +159,7 @@ void BotHarvesterSeekGoals(bot_state_t *
 void BotHarvesterRetreatGoals(bot_state_t *bs);
 int BotTeamCubeCarrierVisible(bot_state_t *bs);
 int BotEnemyCubeCarrierVisible(bot_state_t *bs);
-//#endif
+#endif
 //get a random alternate route goal towards the given base
 int BotGetAlternateRouteGoal(bot_state_t *bs, int base);
 //returns either the alternate route goal or the given goal
@@ -198,9 +198,9 @@ extern vmCvar_t bot_challenge;
 
 extern bot_goal_t ctf_redflag;
 extern bot_goal_t ctf_blueflag;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 extern bot_goal_t ctf_neutralflag;
 extern bot_goal_t redobelisk;
 extern bot_goal_t blueobelisk;
 extern bot_goal_t neutralobelisk;
-//#endif
+#endif
diff -upr ioquake3svn1438/code/game/ai_main.c ioquake3serverFix/code/game/ai_main.c
--- ioquake3svn1438/code/game/ai_main.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_main.c	2008-08-09 11:28:21.000000000 -0500
@@ -285,13 +285,13 @@ void BotReportStatus(bot_state_t *bs) {
 	else leader = " ";
 
 	strcpy(flagstatus, "  ");
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		if (BotCTFCarryingFlag(bs)) {
 			if (BotTeam(bs) == TEAM_RED) strcpy(flagstatus, S_COLOR_RED"F ");
 			else strcpy(flagstatus, S_COLOR_BLUE"F ");
 		}
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (Bot1FCTFCarryingFlag(bs)) {
 			if (BotTeam(bs) == TEAM_RED) strcpy(flagstatus, S_COLOR_RED"F ");
@@ -304,7 +304,7 @@ void BotReportStatus(bot_state_t *bs) {
 			else Com_sprintf(flagstatus, sizeof(flagstatus), S_COLOR_BLUE"%2d", bs->inventory[INVENTORY_BLUECUBE]);
 		}
 	}
-//#endif
+#endif
 
 	switch(bs->ltgtype) {
 		case LTG_TEAMHELP:
@@ -373,16 +373,6 @@ void BotReportStatus(bot_state_t *bs) {
 			BotAI_Print(PRT_MESSAGE, "%-20s%s%s: harvesting\n", netname, leader, flagstatus);
 			break;
 		}
-		case LTG_POINTA:
-		{
-			BotAI_Print(PRT_MESSAGE, "%-20s%s%s: going for point A\n", netname, leader, flagstatus);
-			break;
-		}
-		case LTG_POINTB:
-		{
-			BotAI_Print(PRT_MESSAGE, "%-20s%s%s: going for point B\n", netname, leader, flagstatus);
-			break;
-		}
 		default:
 		{
 			BotAI_Print(PRT_MESSAGE, "%-20s%s%s: roaming\n", netname, leader, flagstatus);
@@ -445,12 +435,12 @@ void BotSetInfoConfigString(bot_state_t 
 	else leader = " ";
 
 	strcpy(carrying, "  ");
-	if (gametype == GT_CTF || gametype == GT_CTF_ELIMINATION) {
+	if (gametype == GT_CTF) {
 		if (BotCTFCarryingFlag(bs)) {
 			strcpy(carrying, "F ");
 		}
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if (gametype == GT_1FCTF) {
 		if (Bot1FCTFCarryingFlag(bs)) {
 			strcpy(carrying, "F ");
@@ -462,7 +452,7 @@ void BotSetInfoConfigString(bot_state_t 
 			else Com_sprintf(carrying, sizeof(carrying), "%2d", bs->inventory[INVENTORY_BLUECUBE]);
 		}
 	}
-//#endif
+#endif
 
 	switch(bs->ltgtype) {
 		case LTG_TEAMHELP:
@@ -531,16 +521,6 @@ void BotSetInfoConfigString(bot_state_t 
 			Com_sprintf(action, sizeof(action), "harvesting");
 			break;
 		}
-		case LTG_POINTA:
-		{
-			Com_sprintf(action, sizeof(action), "going for point A");
-			break;
-		}
-		case LTG_POINTB:
-		{
-			Com_sprintf(action, sizeof(action), "going for point B");
-			break;
-		}
 		default:
 		{
 			trap_BotGetTopGoal(bs->gs, &goal);
diff -upr ioquake3svn1438/code/game/ai_main.h ioquake3serverFix/code/game/ai_main.h
--- ioquake3svn1438/code/game/ai_main.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/ai_main.h	2008-08-09 11:28:21.000000000 -0500
@@ -58,12 +58,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define LTG_ATTACKENEMYBASE			13	//attack the enemy base
 #define LTG_MAKELOVE_UNDER			14
 #define LTG_MAKELOVE_ONTOP			15
-//Long term DD goals
-#define LTG_POINTA				16	//Take/Defend point A
-#define LTG_POINTB				17	//Take/Defend point B
-//Long term DD goals
-#define LTG_DOMROAM                             18      //Go for a non taken point.
-#define LTG_DOMHOLD                             19      //Pick a point and hold it.
 //some goal dedication times
 #define TEAM_HELP_TIME				60	//1 minute teamplay help time
 #define TEAM_ACCOMPANY_TIME			600	//10 minutes teamplay accompany time
@@ -79,9 +73,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define CTF_RUSHBASE_TIME			120	//2 minutes ctf rush base time
 #define CTF_RETURNFLAG_TIME			180	//3 minutes to return the flag
 #define CTF_ROAM_TIME				60	//1 minute ctf roam time
-//Time for Double Domination tasks
-#define DD_POINTA				600
-#define DD_POINTB				600
 //patrol flags
 #define PATROL_LOOP					1
 #define PATROL_REVERSE				2
